package com.weaver.seconddev.interfaces.crmoa;

import com.weaver.seconddev.interfaces.prop.ConfigProp;
import org.apache.axis2.transport.http.HttpTransportProperties;
import com.weaver.seconddev.interfaces.crmoa.SI_HTCRMBlistTempLifting_OUTServiceStub.*;
import com.weaver.common.i18n.tool.util.I18nContextUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.weaver.verupgrade.general.BaseBean;
import com.weaver.verupgrade.general.Util;
import org.springframework.stereotype.Component;

@Component
public class CRM_SyncTempUnfreeze extends BaseBean {

    @Autowired
    private  ConfigProp configProp;

    private static final org.slf4j.Logger logger_8493e3b4 = LoggerFactory.getLogger(CRM_SyncTempUnfreeze.class);

    public CRM_TEMPUNFREEZE_RETURN[] call(CRM_TEMPUNFREEZE_HEAD[] param) throws Exception {
//        String url = Util.null2String(I18nContextUtil.getBean(Environment.class).getProperty("htcrmoasync.TempUnfreeze")).trim();
        logger_8493e3b4.info(" param ---" + param);
        String url = configProp.getTempUnfreeze();
        logger_8493e3b4.info(" url ---" + url);
        logger_8493e3b4.info(" configProp.getPo_user() ---" + configProp.getPo_user());
        logger_8493e3b4.info(" configProp.getPo_password() ---" + configProp.getPo_password());
        SI_HTCRMBlistTempLifting_OUTServiceStub stub = new SI_HTCRMBlistTempLifting_OUTServiceStub(url);
        stub._getServiceClient().getOptions().setProperty(org.apache.axis2.transport.http.HTTPConstants.CHUNKED, Boolean.FALSE);
        stub._getServiceClient().getOptions().setTimeOutInMilliSeconds(300000);
        HttpTransportProperties.Authenticator auth = new HttpTransportProperties.Authenticator();
//        auth.setUsername(Util.null2String(I18nContextUtil.getBean(Environment.class).getProperty("htportaloaUrl.po_user")).trim());
//        auth.setPassword(Util.null2String(I18nContextUtil.getBean(Environment.class).getProperty("htportaloaUrl.po_password")).trim());

        auth.setUsername(configProp.getPo_user());
        auth.setPassword(configProp.getPo_password());

        stub._getServiceClient().getOptions().setProperty(org.apache.axis2.transport.http.HTTPConstants.AUTHENTICATE, auth);
        CRM_OA_SyncTempUnfreezeList req = new CRM_OA_SyncTempUnfreezeList();
        ArrayOfCRM_TEMPUNFREEZE_HEAD array = new ArrayOfCRM_TEMPUNFREEZE_HEAD();
        array.setCRM_TEMPUNFREEZE_HEAD(param);
        req.setTempUnfreezeList(array);
        CRM_OA_SyncTempUnfreezeListResponse res = stub.sI_HTCRMBlistTempLifting_OUT(req);
        ArrayOfCRM_TEMPUNFREEZE_RETURN ret = res.getCRM_OA_SyncTempUnfreezeListResult();
        CRM_TEMPUNFREEZE_RETURN[] data = ret.getCRM_TEMPUNFREEZE_RETURN();
        return data;
    }
}
